org.eclipse.viatra.query.patternlanguage.patternLanguage

## Interface PatternBody

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    PatternBodyImpl

      public interface PatternBody
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Pattern Body'.

  The following features are supported:

  - `Name`
  - `Constraints`
  - `Variables`
  See Also:
    `PatternLanguagePackage.getPatternBody()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<Constraint>` | `getConstraints()` Returns the value of the 'Constraints' containment reference list.
    `java.lang.String` | `getName()` Returns the value of the 'Name' attribute.
    `org.eclipse.emf.common.util.EList<Variable>` | `getVariables()` Returns the value of the 'Variables' containment reference list.
    `void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the value of the 'Name' attribute.

      If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `PatternLanguagePackage.getPatternBody_Name()`
      Generated:
      Model:

    - #### setName

          void setName(java.lang.String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`
      Generated:

    - #### getConstraints

          org.eclipse.emf.common.util.EList<Constraint> getConstraints()

      Returns the value of the 'Constraints' containment reference list. The list contents are of type `Constraint`.

      If the meaning of the 'Constraints' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Constraints' containment reference list.
      See Also:
        `PatternLanguagePackage.getPatternBody_Constraints()`
      Generated:
      Model:
        containment="true"

    - #### getVariables

          org.eclipse.emf.common.util.EList<Variable> getVariables()

      Returns the value of the 'Variables' containment reference list. The list contents are of type `Variable`.

      If the meaning of the 'Variables' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Variables' containment reference list.
      See Also:
        `PatternLanguagePackage.getPatternBody_Variables()`
      Generated:
      Model:
        containment="true" transient="true"